Skip to main content
GET
Read Benefit

Authorizations

Authorization
string
header
required

Authentication: You can generate a Personal Access Token from your settings.

Path Parameters

id
string<uuid4>
required

Identifier of the benefit.

Response

Request completed successfully

A benefit of type custom.

Use it to grant any kind of benefit that doesn't fit in the other types.

id
string<uuid4>
required

Unique identifier for the benefit.

created_at
string<date-time>
required

The time Ruba created this record.

modified_at
string<date-time> | null
required

The time this record last changed.

type
string
required
Allowed value: "custom"
description
string
required

Description attached to the benefit.

selectable
boolean
required

Indicates whether the benefit is selectable when creating a product.

deletable
boolean
required

Indicates whether the benefit is deletable.

is_deleted
boolean
required

Indicates whether the benefit is deleted.

organization_id
string<uuid4>
required

Unique identifier for the organization owning the benefit.

metadata
object
required
visibility
enum<string>
required

Visibility: Controls whether customers can see this benefit in their portal.

Available options:
draft,
private,
public
properties
BenefitCustomProperties · object
required

Properties for a benefit of type custom.

visibility_configurable
boolean
required
read-only